package com.jasamedika.medifirst2000.service.impl;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.UUID;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.jpa.JpaSystemException;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;


	

import com.jasamedika.medifirst2000.exception.ServiceVOException;
import com.jasamedika.medifirst2000.service.DegreeService;
import com.jasamedika.medifirst2000.util.CommonUtil;
import com.jasamedika.medifirst2000.entities.Degree;
import com.jasamedika.medifirst2000.vo.DegreeVO;
import com.jasamedika.medifirst2000.converter.BaseConverterImpl;
import com.jasamedika.medifirst2000.dao.DegreeDao;

/**
 * Implement class for DegreeService
 * 
 * @author Generator
 * @param <T>
 */
@Service("degreeService")
public class DegreeServiceImpl extends BaseVoServiceImpl implements DegreeService 
{	
	@Autowired
	private BaseConverterImpl<DegreeVO,Degree>degreeConverter;
	
	@Autowired
	private DegreeDao degreeDao;

	
	
	@Override
	public Map<String, Object> saveDegree(DegreeVO vo) {
		Map<String, Object> result = new HashMap<String, Object>();
		Degree model = new Degree();
		model = degreeConverter.transferVOToModel(vo,model);		

		Degree resultDomain = degreeDao.save(model);
		if (CommonUtil.isNotNullOrEmpty(resultDomain)) {
			result.put("noRec", resultDomain.getNoRec());
		}

		return result;
	}
}